import request from '@/utils/request'

// 查询区域对象列表
export function listAreaInfo(query) {
  return request({
    url: '/info/areaInfo/list',
    method: 'get',
    params: query
  })
}

// 查询区域对象详细
export function getAreaInfo(areaId) {
  return request({
    url: '/info/areaInfo/' + areaId,
    method: 'get'
  })
}

// 新增区域对象
export function addAreaInfo(data) {
  return request({
    url: '/info/areaInfo',
    method: 'post',
    data: data
  })
}

// 修改区域对象
export function updateAreaInfo(data) {
  return request({
    url: '/info/areaInfo',
    method: 'put',
    data: data
  })
}

// 删除区域对象
export function delAreaInfo(areaId) {
  return request({
    url: '/info/areaInfo/' + areaId,
    method: 'delete'
  })
}

// 导出区域对象
export function exportAreaInfo(query) {
  return request({
    url: '/info/areaInfo/export',
    method: 'get',
    params: query
  })
}
